Loading...
Searching...
No Matches
gtsam::Values::deref_iterator Struct Reference

## Public Member Functions

| deref_iterator (const_iterator_type it)
ConstKeyValuePair | operator* () const
boost::shared_ptr< ConstKeyValuePair > | operator-> ()
bool | operator== (const deref_iterator &other) const
bool | operator!= (const deref_iterator &other) const
deref_iterator & | operator++ ()

## Public Attributes

const_iterator_type | it_

## Public Types

using | const_iterator_type = typename KeyValueMap::const_iterator

The documentation for this struct was generated from the following file:

- /build/gtsam-RkN8wG/gtsam-4.2.2+dfsg/gtsam/nonlinear/Values.h